#pragma once
#include "../enity.hpp"
#include "enemy-load.hpp"
#include "common/ini.hpp" // for load
//! противники для игрока
class Enemy: public Ship {
public:
  Enemy() = default;
  ~Enemy() = default;
  Enemy& operator = (CN(Enemy)) = default;
  void clear() override { *this = {}; }
  virtual constexpr uint get_id() const { return ENI_ERROR; }
  #ifdef DEBUG
  bool update(float dt, uint update_idx) override {
    if ( !Ship::update(dt, update_idx))
      return false;
    if (debuger::status & DBG_NO_ENEMY)
      return false;
    return true;
  }
  bool draw(Image& dst, CN(Vec) offset) const override {
    if ( !Ship::draw(dst, offset))
      return false;
    if (debuger::status & DBG_NO_ENEMY)
      return false;
    return true;
  }
  #endif
protected:
  //...
}; // противники
#include "enemy-load.cpp"